Bug 92838 - Allow option to disable read-only mode
Summary: Allow option to disable read-only mode
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.0.0.3 rc
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Read-Only
  Show dependency treegraph
 
Reported: 2015-07-20 07:03 UTC by Mikeyy - L10n HR
Modified: 2018-10-19 12:38 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikeyy - L10n HR 2015-07-20 07:03:01 UTC
Every file I open from Thunderbird is opened in read-only mode.
I suggest an option similiar to Excel behaviour, to DISABLE read-only mode and open read-only files directly in EDIT MODE (as file copy).
Of course, when you try to save them it will open "Save As" dialog.
Comment 1 Buovjaga 2015-08-01 16:15:22 UTC
We have too many options, but I'll set to NEW anyways.
Comment 2 Justin L 2018-10-19 12:38:23 UTC
There are lots of bug reports providing cases where it would be very bad to open a read-only file as "untitled", so the suggestion here is not a universal fix.  This particular case (file saved in temporary folder as read-only file most likely) currently will prompt for a new filename/folder already as soon as you press save, which is always a good idea to do first if you want to edit a document that is sitting in a temporary folder.

The workflow for this particular situation of email attachments/temp folder documents has changed in recent years, so this could be marked as either WorksForMe, or WontFix.